Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.statistics
Class FailurePeriod

    java.lang.Object
      com.atlassian.bamboo.build.statistics.FailurePeriod

    public class FailurePeriod

extends Object

Constructor Summary
`FailurePeriod(Build build)`

Method Summary
`void` | `addFailingBuild(BuildResultsSummary build)`
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`List` | `getAlsoFailingInBuilds()`
`BuildResultsSummary` | `getBreakingBuild()`
`int` | `getElapsedBuilds()`
`long` | `getElapsedTime()`
`BuildResultsSummary` | `getFixingBuild()`
`BuildResultsSummary` | `getRemovedInBuild()`
`int` | `hashCode()`
`boolean` | `includesBuild(Integer buildNumber)`
`void` | `setAlsoFailingInBuilds(List alsoFailingInBuilds)`
`void` | `setBreakingBuild(BuildResultsSummary breakingBuild)`
`void` | `setFixingBuild(BuildResultsSummary fixingBuild)`
`void` | `setRemovedInBuild(BuildResultsSummary removedInBuild)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FailurePeriod

    public FailurePeriod(Build build)

Method Detail

### includesBuild

    public boolean includesBuild(Integer buildNumber)

### getElapsedTime

    public long getElapsedTime()

### getElapsedBuilds

    public int getElapsedBuilds()

### addFailingBuild

    public void addFailingBuild(BuildResultsSummary build)

### getBreakingBuild

    public BuildResultsSummary getBreakingBuild()

### setBreakingBuild

    public void setBreakingBuild(BuildResultsSummary breakingBuild)

### getAlsoFailingInBuilds

    public List getAlsoFailingInBuilds()

### setAlsoFailingInBuilds

    public void setAlsoFailingInBuilds(List alsoFailingInBuilds)

### getFixingBuild

    public BuildResultsSummary getFixingBuild()

### setFixingBuild

    public void setFixingBuild(BuildResultsSummary fixingBuild)

### getRemovedInBuild

    public BuildResultsSummary getRemovedInBuild()

### setRemovedInBuild

    public void setRemovedInBuild(BuildResultsSummary removedInBuild)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.